<!DOCTYPE html>
<html>
    <head>
        <link href="./img/favicon.png" rel="shortcut icon"/>
        <meta charset="utf-8"/>
        <meta content="width=1366px, maximum-scale=1.0" name="viewport"/>
        <link href="./css/dllExercise1Copy17.css" rel="stylesheet" type="text/css"/>
        <meta content="Launchpad by Anima" name="author">
        </meta>
    </head>
    <body style="margin: 0;
 background: rgba(255, 255, 255, 1.0);">
        <input id="anPageName" name="page" type="hidden" value="dllexercise1copy17"/>
        <div class="dllexercise1copy17">
            <div style="width: 1366px; height: 100%; position:relative; margin:auto;">
                <div class="rectangle7">
                </div>
                <div class="rectangle7">
                </div>
                <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-3@2x.png" class="path3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/exercise-for-inserting-in-hashtable2-line-2@2x.png" class="line2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-14-copy-9@2x.png" class="path14copy8" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="group15copy">
                    <div class="i1">
                        i
                    </div>
                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-oval-2@2x.png" class="oval21" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="group14copy">
                    <div class="i2">
                        i
                    </div>
                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-oval-2 1@2x.png" class="oval22" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="exercise">
                    Exercise for Searching in Hashtable
                    <br/>
                </div>
                <div class="retry">
                    Retry
                </div>
                <div class="cancelsymbolinsideacirclecopy">
                    <img anima-src="./img/exercise-for-inserting-in-hashtable-shape@2x.png" class="shape" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="info">
                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-shape@2x.png" class="shape1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-shape 1@2x.png" class="shape2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-shape 2@2x.png" class="shape3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="group14">
                    <div class="group12">
                        <div class="group11">
                            <div class="rectangle3">
                            </div>
                            <div class="group8">
                                <div class="group7">
                                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2-copy-3@2x.png" class="path2copy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-14-copy-9@2x.png" class="path14copy9" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                                    <div class="solveatleasttwoqu">
                                        Solve at least two questions
                                        <br/>
                                        Use left    and right    arrow keys to traverse through the doubly linked list
                                        <br/>
                                        Press Delete button to remove the node
                                    </div>
                                    <div class="instruction">
                                        Instruction:
                                    </div>
                                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-4@2x.png" class="path4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-4-copy@2x.png" class="path4copy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                                </div>
                            </div>
                            <div class="group13">
                                <div class="rectangle5">
                                </div>
                            </div>
                        </div>
                        <div class="rightarrow">
                            <img anima-src="./img/exercise-for-inserting-in-hashtable2-shape 3@2x.png" class="shape4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                    </div>
                </div>
                <div class="group10">
                    <div class="buttoncopy4">
                        <div class="rectangle">
                        </div>
                    </div>
                    <div class="restart">
                        Restart
                    </div>
                </div>
                <div class="group10copy">
                    <div class="buttoncopy41">
                        <div class="rectangle1">
                        </div>
                    </div>
                    <div class="check">
                        Check
                    </div>
                </div>
                <div class="group3">
                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-14-copy-9@2x.png" class="path14copy5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-14-copy-9@2x.png" class="path14copy6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="arrowcopy">
                        <div class="group4">
                            <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-6@2x.png" class="path6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-7@2x.png" class="path7" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                    </div>
                    <div class="bu">
                        <div class="group">
                            <div class="rectangle6copy">
                            </div>
                            <div class="a0copy">
                                0
                            </div>
                        </div>
                    </div>
                    <div class="group1">
                        <div class="a0copy1">
                            4
                        </div>
                    </div>
                    <div class="bucopy">
                        <div class="group2">
                            <div class="rectangle6copy1">
                            </div>
                            <div class="a0copy2">
                                1
                            </div>
                        </div>
                    </div>
                    <div class="group5">
                        <div class="a0copy3">
                            5
                        </div>
                    </div>
                    <div class="group6">
                        <div class="a0copy4">
                            2
                        </div>
                    </div>
                    <div class="group7">
                        <div class="a0copy5">
                            6
                        </div>
                    </div>
                    <div class="group8">
                        <div class="a0copy6">
                            8
                        </div>
                    </div>
                    <div class="group9">
                        <div class="a0copy7">
                            3
                        </div>
                    </div>
                    <div class="group10">
                        <div class="a0copy8">
                            7
                        </div>
                    </div>
                    <div class="group11">
                        <div class="a0copy9">
                            9
                        </div>
                    </div>
                    <div class="hashin">
                        Hash In.
                    </div>
                    <div class="hashvalue">
                        Hash Value
                    </div>
                    <div class="rectangle2">
                    </div>
                    <div class="group21">
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy7" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy8" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/exercise-for-inserting-in-hashtable2-path-2@2x.png" class="path2copy9" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="a10">
                    10
                </div>
                <div class="a1">
                    1
                </div>
                <div class="rectangle6">
                </div>
                <div class="group51">
                    <img anima-src="./img/dllexercise-1-copy-18-path-6-copy-4@2x.png" class="path6copy4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/dllexercise-1-copy-18-line-copy-3@2x.png" class="linecopy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="insertbeforecurren">
                        Insert the no. of steps
                    </div>
                    <div class="typevalue">
                        No. of steps
                    </div>
                </div>
            </div>
        </div>
        <!-- Scripts -->
        <script>
            anima_isHidden = function(e) {
                if (!(e instanceof HTMLElement)) return !1;
                if (getComputedStyle(e).display == "none") return !0; else if (e.parentNode && anima_isHidden(e.parentNode)) return !0;
                return !1;
            };
            anima_loadAsyncSrcForTag = function(tag) {
                var elements = document.getElementsByTagName(tag);
                var toLoad = [];
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var src = e.getAttribute("src");
                    var loaded = (src != undefined && src.length > 0 && src != 'data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');
                    if (loaded) continue;
                    var asyncSrc = e.getAttribute("anima-src");
                    if (asyncSrc == undefined || asyncSrc.length == 0) continue;
                    if (anima_isHidden(e)) continue;
                    toLoad.push(e);
                }
                toLoad.sort(function(a, b) {
                    return anima_getTop(a) - anima_getTop(b);
                });
                for (var i = 0; i < toLoad.length; i++) {
                    var e = toLoad[i];
                    var asyncSrc = e.getAttribute("anima-src");
                    e.setAttribute("src", asyncSrc);
                }
            };
            anima_pauseHiddenVideos = function(tag) {
                var elements = document.getElementsByTagName("video");
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var isPlaying = !!(e.currentTime > 0 && !e.paused && !e.ended && e.readyState > 2);
                    var isHidden = anima_isHidden(e);
                    if (!isPlaying && !isHidden && e.getAttribute("autoplay") == "autoplay") {
                        e.play();
                    } else if (isPlaying && isHidden) {
                        e.pause();
                    }
                }
            };
            anima_loadAsyncSrc = function(tag) {
                anima_loadAsyncSrcForTag("img");
                anima_loadAsyncSrcForTag("iframe");
                anima_loadAsyncSrcForTag("video");
                anima_pauseHiddenVideos();
            };
            var anima_getTop = function(e) {
                var top = 0;
                do {
                    top += e.offsetTop || 0;
                    e = e.offsetParent;
                } while (e);
                return top;
            };
            anima_loadAsyncSrc();
            anima_old_onResize = window.onresize;
            anima_new_onResize = undefined;
            anima_updateOnResize = function() {
                if (anima_new_onResize == undefined || window.onresize != anima_new_onResize) {
                    anima_new_onResize = function(x) {
                        if (anima_old_onResize != undefined) anima_old_onResize(x);
                        anima_loadAsyncSrc();
                    };
                    window.onresize = anima_new_onResize;
                    setTimeout(function() {
                        anima_updateOnResize();
                    }, 3000);
                }
            };
            anima_updateOnResize();
            setTimeout(function() {
                anima_loadAsyncSrc();
            }, 200);
        </script>
        <!-- End of Scripts -->
    </body>
</html>
